Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 01/31/2020 in all areas

  1. Have (almost) no idea how your routine works ronjonp but I do have an idea what I'm gonna do with all my free time
    1 point
  2. Here's my offering based on the example drawing: (defun c:foo (/ i l p r s sp) ;; RJP » 2020-01-31 (setq i 1.05) (setq l "BubbleLicious") (cond ((setq s (ssget '((0 . "*POLYLINE,LINE")))) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) (setq p (vl-sort (list (vlax-curve-getstartpoint e) (vlax-curve-getendpoint e)) '(lambda (r j) (< (car r) (car j))) ) ) (setq r (cons (entmakex (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(67 . 0) (cons 8 l) '(100 . "AcDbPolyline") '(90 . 4) '(70 . 129) '(43 . 0.) '(38 . 0.) '(39 . 0.) (cons 10 (mapcar '+ (car p) (list 0 i 0))) '(42 . 1.) (cons 10 (mapcar '- (car p) (list 0 i 0))) (cons 10 (mapcar '- (cadr p) (list 0 i 0))) '(42 . 1.) (cons 10 (mapcar '+ (cadr p) (list 0 i 0))) ) ) r ) ) ) (setq sp (vlax-ename->vla-object (cdr (assoc 330 (entget (car r)))))) (setq s (vlax-invoke sp 'addregion (mapcar 'vlax-ename->vla-object r))) (mapcar 'entdel r) (setq r (ssadd)) (foreach x s (vla-put-layer x l) (ssadd (vlax-vla-object->ename x) r)) (setvar 'cmdecho 0) (command "_.union" r "") (setvar 'cmdecho 1) ) ) (princ) ) What are you going to do with all your free time now!
    1 point
  3. Just click type in explorer makes it easier to get rid of the junk, or write a BAT file of the stuff you know can be deleted. I hate to think what some of the pc's are like where I used to work, attitude was when it stops working will fix.
    1 point
  4. (sssetfirst nil (ssget "_X" '((0 . "DIMENSION")(-4 . "<") (42 . 0.1)) ) ) for more info here --> logical operators
    1 point
  5. I just set the temporary directory to one I can find easy, handy if Autocad crashes, find baks, sv$ etc. A question to the general public how many have ever looked at their temporary directory you will be horrified how big it is, I clean mine up all the time. We did have a problem to at one stage and it took a while to fix. Not sure what our IT did.
    1 point
×
×
  • Create New...